Update Subscriber

Updates a *Subscriber*. **Read Only Fields** * id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

subscriber_idintegerRequired

The ID of the Subscriber requested.

Request

This endpoint expects an object.
channel_idintegerOptional1-2147483647
The channel ID where the subscriber was created.
consentslist of enumsOptional

Shows the active subscriptions a shopper may have. If the consents array is empty, the user has unsubscribed or didn’t enable the newsletter subscription checkbox during checkout. The array will contain consent types like ‘marketing_newsletter’ and ‘abandoned_cart’.

Allowed values:
emailstringOptional
The email of the subscriber. Must be unique.
first_namestringOptional0-255 characters
The first name of the subscriber.
last_namestringOptional0-255 characters
The last name of the subscriber.
order_idinteger or nullOptional1-2147483647
The ID of the source order, if source was an order.
sourcestringOptional0-255 characters

The source of the subscriber. Values are: storefront, order, or custom.

Response

dataobject
Full subscriber object returned in responses.
metaobject
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error